Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.POAPackage
Class WrongPolicyHelper

    java.lang.Object
      org.omg.PortableServer.POAPackage.WrongPolicyHelper

    public abstract class WrongPolicyHelper

extends Object

org/omg/PortableServer/POAPackage/WrongPolicyHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableServer/poa.idl Wednesday, August 11, 2004 5:04:02 AM GMT-08:00

Constructor Summary
`WrongPolicyHelper()`

Method Summary
`static WrongPolicy` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, WrongPolicy that)`
`static WrongPolicy` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, WrongPolicy value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrongPolicyHelper

    public WrongPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              WrongPolicy that)

### extract

    public static WrongPolicy extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static WrongPolicy read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             WrongPolicy value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.